/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 17:15:49
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-14 14:39:48
 * @FilePath: \Game-Backstage-Management-System\src\hooks\useAnalysis.ts
 * @Description:
 *
 */
import type { ReqConfig } from '@/types/dataAnalysis'

export function useAnalysis() {
  /**
   *
   * @description: 用于更新请求配置
   *
   * @param config 请求配置
   * @param newVal 新值
   */
  const updateReqConfig = (config: ReqConfig, newVal: any) => {
    Object.keys(newVal).map((k) => {
      config.otherOptions[k] = newVal[k]
    })
  }

  return {
    updateReqConfig
  }
}
