/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-21 11:12:21
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-10-10 18:31:10
 * @FilePath: \Game-Backstage-Management-System\src\utils\axios\auth.ts
 * @Description:
 *
 */

import { ElMessage } from 'element-plus'
import { MessageType } from '@/types/res'
import { getLoginState } from '../localStorage/localStorage'

export const authLogin = (): boolean => {
  const state = getLoginState()
  if (!state) {
    ElMessage({
      type: MessageType.Warning,
      message: '请先登录',
      duration: 1500
    })
  }
  return state
}
