export interface ResponseInfo {
  code: number
  msg: string
  data?: any
  count?: number
}

/**
 * 消息提示类型
 */
export enum MessageType {
  /**
   * 成功
   */
  Success = 'success',
  /**
   * 警告
   */
  Warning = 'warning',
  /**
   * 信息
   */
  Info = 'info',
  /**
   * 错误
   */
  Error = 'error'
}
